Problèmes pour installer Symfony [Résolu/Fermé]

Signaler
Messages postés
340
Date d'inscription
mardi 3 juillet 2012
Statut
Membre
Dernière intervention
23 février 2018
-
Messages postés
340
Date d'inscription
mardi 3 juillet 2012
Statut
Membre
Dernière intervention
23 février 2018
-
Bonjour,
j'essaie depuis cet après midi d'installer Symfony. Sur le site, on me demande d'entrer cette commande :

php -r "file_put_contents('symfony', file_get_contents('https://symfony.com/installer'));"

Ce à quoi l'invite de commande me répond :

Warning : file_get_contents(): Unable to find the wrapper "https" - did you forget to enable it when you configured PHP ? in command line code on line 1

J'ai windows 10 et PHP 7.0.11. J'ai essayé plein de trucs et je crois que je vais devenir fou. J'ai vraiment besoin de Symfony, alors si quelqu'un pouvait me trouver une solution je lui en serait éternellement reconnaissant :)

1 réponse

Messages postés
2375
Date d'inscription
lundi 11 février 2013
Statut
Membre
Dernière intervention
7 juin 2021
445
Salut,

Pour utiliser le protocole https, il faut activer l'extension openssl :
- Ouvrir le fichier de configuration php.ini et décommenter la ligne extension=php_openssl.dll
- Redémarrer Apache

Sinon tu peux essayer d'exécuter ton code en utilisant le protocole http à la place de https.

Bonne journée,
Messages postés
340
Date d'inscription
mardi 3 juillet 2012
Statut
Membre
Dernière intervention
23 février 2018
44
Merci pour la réponse !
Mais la ligne en question est déjà dé commentée dans php.ini :(
Messages postés
2375
Date d'inscription
lundi 11 février 2013
Statut
Membre
Dernière intervention
7 juin 2021
445
Essaye d'utiliser le protocole http sinon : https://get.symfony.com/symfony.phar
quelqu’un a t-il trouvé la solution car moi aussi la ligne en question est déjà décommentée
Messages postés
340
Date d'inscription
mardi 3 juillet 2012
Statut
Membre
Dernière intervention
23 février 2018
44 > tronade
J'ai fini par réussir à l'installer avec Composer